﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
	<GenerateDocumentationFile>true</GenerateDocumentationFile>
	<DocumentationFile>bin\ApiControllerDocumentation.xml</DocumentationFile>
	  
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.2.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Cnam.TestValidation.Configuration\Cnam.TestValidation.Configuration.csproj" />
    <ProjectReference Include="..\Cnam.TestValidation.DomainService\Cnam.TestValidation.DomainService.csproj" />
    <ProjectReference Include="..\Cnam.TestValidation.Infrastructure\Cnam.TestValidation.Infrastructure.csproj" />
    <ProjectReference Include="..\Cnam.TestValidation.Model\Cnam.TestValidation.Model.csproj" />
  </ItemGroup>

</Project>
